setwd('/Users/.../replication_archive/supplementary_material/Figure_A1/R_plots')

d <- read.table('all_estimates.csv', sep=',', header=TRUE)


# Prepare data for bottom Figure

marg <- c(5,4,4,2)+0.1
marg <- marg + c(1,0,-1,0)

SM_SC_coef <- matrix(NA, nrow(d), 3)
SM_SC_coef <- cbind(d[,1], SM_SC_coef)

SM_SC_coef[,2] <- d[,2]
SM_SC_coef[,3] <- d[,2] - qnorm(0.975)*d[,4]
SM_SC_coef[,4] <- d[,2] + qnorm(0.975)*d[,4]

SM_NSC_coef <- matrix(NA, nrow(d), 3)
SM_NSC_coef <- cbind(d[,1], SM_NSC_coef)

SM_NSC_coef[,2] <- d[,3]
SM_NSC_coef[,3] <- d[,3] - qnorm(0.975)*d[,5]
SM_NSC_coef[,4] <- d[,3] + qnorm(0.975)*d[,5]


k <- c(2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18 ,19, 20)
x <- seq(1, length(k))
a <- 0.1


# Make bottom Figure

leg1 <- expression(paste("Competitors not in same conference (", W^r*y, ")", sep=""))
leg2 <- expression(paste("Competitors in same conference (", W^R*y, ")", sep=""))

ylim <- c(min(SM_SC_coef[,3]), max(SM_NSC_coef[,4]))

par(mar=marg)
plot(c(1, max(x)), ylim, type='n', axes=FALSE, ylab="Point estimate and 95% CI", xlab="Weights (x2 - x20)", main="", cex.lab=1.2, font.main=1)
 
axis(2, cex.axis=1.2)
axis(1, at=x, labels=FALSE)
box()
abline(h=0, lty=2)
 
points(x-a, SM_SC_coef[,2], col=1, cex=1.2, pch=2)
segments(x-a, SM_SC_coef[,3], x-a, SM_SC_coef[,4], col=1)
 
points(x+a, SM_NSC_coef[,2], col=1, cex=1.2, pch=1)
segments(x+a, SM_NSC_coef[,3], x+a, SM_NSC_coef[,4], col=1)
 
 
for(i in 1:length(x)){
 	w <- k[i]
 	mtext(paste(w), side=1, adj=0.5, padj=1.5, at=i, cex=1.2)
}

legend('topright', c(leg1, leg2), pch=c(1,2), col=c(1, 1), text.col=c(1, 1), bty="n", cex=1.1)



### Prepare data for top Figure

marg <- c(5,4,4,2)+0.1
marg <- marg + c(1,0,-1,0)

NSM_SC_coef <- matrix(NA, nrow(d), 3)
NSM_SC_coef <- cbind(d[,1], NSM_SC_coef)

NSM_SC_coef[,2] <- d[,6]
NSM_SC_coef[,3] <- d[,6] - qnorm(0.975)*d[,7]
NSM_SC_coef[,4] <- d[,6] + qnorm(0.975)*d[,7]

NSM_NSC_coef <- matrix(NA, nrow(d), 3)
NSM_NSC_coef <- cbind(d[,1], NSM_NSC_coef)

NSM_NSC_coef[,2] <- d[,8]
NSM_NSC_coef[,3] <- d[,8] - qnorm(0.975)*d[,9]
NSM_NSC_coef[,4] <- d[,8] + qnorm(0.975)*d[,9]


### Make top Figure

ylim <- c(min(NSM_SC_coef[,3]), max(0.73))

par(mar=marg)
plot(c(1, max(x)), ylim, type='n', axes=FALSE, ylab="Point estimate and 95% CI", xlab="Weights (x2 - x20)", main="", cex.lab=1.2, font.main=1)

axis(2, cex.axis=1.2)
axis(1, at=x, labels=FALSE)
box()
 
abline(h=0, lty=2)
 
points(x-a, NSM_SC_coef[,2], col=1, cex=1.2, pch=2)
segments(x-a, NSM_SC_coef[,3], x-a, NSM_SC_coef[,4], col=1)
 
points(x+a, NSM_NSC_coef[,2], col=1, cex=1.2, pch=1)
segments(x+a, NSM_NSC_coef[,3], x+a, NSM_NSC_coef[,4], col=1)
 
 
for(i in 1:length(x)){
 	w <- k[i]
 	mtext(paste(w), side=1, adj=0.5, padj=1.5, at=i, cex=1.2)
 }
 
 
legend('topleft', c(leg1, leg2), pch=c(1,2), col=c(1, 1), text.col=c(1, 1), bty="n", cex=1.1)
 